.TH "mca_btl_mx_component_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_btl_mx_component_t \- MX BTL component.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <btl_mx.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_btl_base_component_1_0_0_t\fP \fBsuper\fP"
.br
.RI "\fIbase BTL component \fP"
.ti -1c
.RI "uint32_t \fBmx_num_btls\fP"
.br
.ti -1c
.RI "uint32_t \fBmx_max_btls\fP"
.br
.RI "\fInumber of hcas available to the MX component \fP"
.ti -1c
.RI "\fBmca_btl_mx_module_t\fP ** \fBmx_btls\fP"
.br
.RI "\fIarray of available BTL modules \fP"
.ti -1c
.RI "int \fBmx_free_list_num\fP"
.br
.RI "\fIinitial size of free lists \fP"
.ti -1c
.RI "int \fBmx_free_list_max\fP"
.br
.RI "\fImaximum size of free lists \fP"
.ti -1c
.RI "int \fBmx_max_posted_recv\fP"
.br
.RI "\fInumber of posted receives on each NIC \fP"
.ti -1c
.RI "int \fBmx_free_list_inc\fP"
.br
.RI "\fInumber of elements to alloc when growing free lists \fP"
.ti -1c
.RI "int32_t \fBmx_support_sharedmem\fP"
.br
.RI "\fItrue if we want to activate the MX support for shared memory \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBmx_procs\fP"
.br
.RI "\fIlist of mx proc structures \fP"
.ti -1c
.RI "uint32_t \fBmx_filter\fP"
.br
.ti -1c
.RI "ompi_free_list_t \fBmx_send_eager_frags\fP"
.br
.RI "\fIfree list of mx eager send fragments \fP"
.ti -1c
.RI "ompi_free_list_t \fBmx_send_user_frags\fP"
.br
.RI "\fIfree list of mx user send fragments \fP"
.ti -1c
.RI "ompi_free_list_t \fBmx_recv_frags\fP"
.br
.RI "\fIfree list of mx recv fragments \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBmx_pending_acks\fP"
.br
.RI "\fIqueue of pending sends \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBmx_lock\fP"
.br
.RI "\fIlock for accessing module state \fP"
.ti -1c
.RI "char * \fBmx_mpool_name\fP"
.br
.RI "\fIname of memory pool \fP"
.in -1c
.SH "Detailed Description"
.PP 
MX BTL component. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
